de.esprit.netsuite.server.permission

## Class PermissionDefinition

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.permission.PermissionDefinition

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    DirectoryPermissionDefinition, FilePermissionDefinition

      public class PermissionDefinition
      extends TransferableObject
      implements Renderable

  An instance of this class must be provided by all `PermissionControlled` objects. It defines a persistent unique name for the accessed object as well as a list of assignable user permissions.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionDefinition(java.lang.String objectName, EspritPermission... permissions)` Creates an object representing the values defined in `StandardFilePermission`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPermission(EspritPermission permission)`
    `boolean` | `equals(java.lang.Object obj)`
    `EspritPermission` | `fetchPermissionByName(java.lang.String permission)`
    `EspritPermission[]` | `getAssignablePermissions()`
    `java.lang.String` | `getObjectName()`
    `int` | `getPermissionCount()`
    `java.awt.Color` | `getRenderColor()`
    `javax.swing.Icon` | `getRenderIcon()`
    `java.lang.String` | `getRenderText()`
    `int` | `hashCode()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionDefinition

          public PermissionDefinition(java.lang.String objectName,
                              EspritPermission... permissions)

      Creates an object representing the values defined in `StandardFilePermission`.

  - ### Method Detail

    - #### addPermission

          public void addPermission(EspritPermission permission)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getObjectName

          public final java.lang.String getObjectName()

    - #### getAssignablePermissions

          public final EspritPermission[] getAssignablePermissions()

    - #### getPermissionCount

          public final int getPermissionCount()

    - #### fetchPermissionByName

          public final EspritPermission fetchPermissionByName(java.lang.String permission)

    - #### getRenderIcon

          public javax.swing.Icon getRenderIcon()

      Specified by:
        `getRenderIcon` in interface `Renderable`

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`

    - #### getRenderColor

          public java.awt.Color getRenderColor()

      Specified by:
        `getRenderColor` in interface `Renderable`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.